'use strict';

var fs = require('fs');
var path = require('path');
var resolveBin = require('resolve-bin');
var spawn = require('cross-spawn');
var rimraf = require('rimraf');

var _require = require('../utils'),
    fromRoot = _require.fromRoot;

var _require2 = require('../utils'),
    hasPkgProp = _require2.hasPkgProp;

var args = process.argv.slice(2);
var here = function here(p) {
  return path.join(__dirname, p);
};

var useBuiltinConfig = !args.includes('--presets') && !fs.existsSync(fromRoot('.babelrc')) && !hasPkgProp('babel');
var config = useBuiltinConfig ? ['--presets', here('../config/babelrc.js')] : [];

var ignore = args.includes('--ignore') ? [] : ['--ignore', '__tests__,__mocks__'];

var copyFiles = args.includes('--no-copy-files') ? [] : ['--copy-files'];

var useDistOutDir = args.includes('--out-dir');
var outDir = useDistOutDir ? [] : ['--out-dir', 'dist'];
if (useDistOutDir) {
  rimraf.sync(fromRoot('dist'));
}

var result = spawn.sync(resolveBin.sync('babel-cli', { executable: 'babel' }),
// prettier-ignore
[].concat(outDir, copyFiles, ignore, config, ['src']).concat(args), { stdio: 'inherit' });

process.exit(result.status);