'use strict';

var fs = require('fs');
var path = require('path');
var resolveBin = require('resolve-bin');
var spawn = require('cross-spawn');

var _require = require('../utils'),
    fromRoot = _require.fromRoot;

var _require2 = require('../utils'),
    hasPkgProp = _require2.hasPkgProp;

var args = process.argv.slice(2);
var here = function here(p) {
  return path.join(__dirname, p);
};

var useBuiltinConfig = !args.includes('--config') && !fs.existsSync(fromRoot('.eslintrc')) && !hasPkgProp('eslintConfig');
var config = useBuiltinConfig ? ['--config', here('../config/eslintrc.js')] : [];

var useBuiltinIgnore = !args.includes('--ignore-path') && !fs.existsSync(fromRoot('.eslintignore'));
var ignore = useBuiltinIgnore ? ['--ignore-path', here('../config/eslintignore')] : [];

var cache = args.includes('--no-cache') ? [] : ['--cache'];

var result = spawn.sync(resolveBin.sync('eslint'), [].concat(config, ignore, cache, ['.']).concat(args), { stdio: 'inherit' });

process.exit(result.status);