'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

/* istanbul ignore next */
process.env.BABEL_ENV = 'test';
process.env.NODE_ENV = 'test';

var fs = require('fs');
var jest = require('jest');

var _require = require('../utils'),
    hasPkgProp = _require.hasPkgProp;

var _require2 = require('../utils'),
    fromRoot = _require2.fromRoot;

var args = process.argv.slice(2);

var watch = !process.env.CI && !args.includes('--coverage') && !args.includes('--updateSnapshot') ? ['--watch'] : [];

var useBuiltinConfig = !args.includes('--config') && !fs.existsSync(fromRoot('jest.config.js')) && !hasPkgProp('jest');

var config = useBuiltinConfig ? ['--config', JSON.stringify(require('../config/jest.config'))] : [];

jest.run([].concat(config, watch, _toConsumableArray(args)));