'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var resolveBin = require('resolve-bin');
var spawn = require('cross-spawn');

var _require = require('../utils'),
    ifScript = _require.ifScript;

var args = process.argv.slice(2);

var scriptNames = function scriptNames() {
  for (var _len = arguments.length, scripts = Array(_len), _key = 0; _key < _len; _key++) {
    scripts[_key] = arguments[_key];
  }

  return scripts.map(function (s) {
    return ifScript(s, s);
  }).filter(Boolean).join(',');
};

var useDefaultScripts = args.length > 0;

var scripts = useDefaultScripts ? args[0].split(',').map(function (npmScript) {
  return `npm run ${npmScript} -s`;
}) : [ifScript('build', 'npm run build --silent'), ifScript('lint', 'npm run lint --silent'), ifScript('test', 'npm run test --silent -- --coverage')].filter(Boolean);
var names = useDefaultScripts ? args[0].split(',') : scriptNames('build', 'lint', 'test');

var colors = ['bgBlue.bold', 'bgGreen.bold', 'bgMagenta.bold', 'black.bgWhite.bold', 'white.bgBlack.bold', 'bgRed.bold'].join(',');

var result = spawn.sync(resolveBin.sync('concurrently'),
// prettier-ignore
['--kill-others-on-fail', '--prefix', '[{name}]', '--names', names, '--prefix-colors', colors].concat(_toConsumableArray(scripts)), { stdio: 'inherit' });

process.exit(result.status);